Operations
Read operational evidence reviews
Restricted to Sempera platform operators in the explicitly designated internal operations workspace. A customer owner role is not sufficient.
GET
/
v1
/
operational-reviews
Read operational evidence reviews
curl --request GET \
--url https://api.sempera.org/v1/operational-reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/operational-reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/operational-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"reviews": [
{
"issue": "<string>",
"kind": "provider",
"resource": "<string>",
"evidence_date": "2023-12-25",
"state": "planned",
"owner": "<string>",
"next_action": "read-production",
"blocker": "none",
"source_sha": "<string>",
"deployment_sha": "<string>",
"ci_run": "<string>",
"evidence_ref": "<string>",
"acceptance_ref": "<string>",
"outcome": "pass",
"reviewed_at": "2023-11-07T05:31:56Z",
"due_date": "2023-12-25",
"overdue": true,
"attestation_only": true,
"receipt_id": "<string>"
}
],
"history": [
{
"issue": "<string>",
"kind": "provider",
"resource": "<string>",
"evidence_date": "2023-12-25",
"state": "planned",
"owner": "<string>",
"next_action": "read-production",
"blocker": "none",
"source_sha": "<string>",
"deployment_sha": "<string>",
"ci_run": "<string>",
"evidence_ref": "<string>",
"acceptance_ref": "<string>",
"outcome": "pass",
"reviewed_at": "2023-11-07T05:31:56Z",
"due_date": "2023-12-25",
"overdue": true,
"attestation_only": true,
"receipt_id": "<string>"
}
],
"has_more": true,
"authority": "<string>"
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}Authorizations
A workspace API key, sent as Authorization: Bearer sempera_sk_... Each operation names the one scope it needs. Scopes, key kinds and roles are in the Authentication guide.
⌘I
Read operational evidence reviews
curl --request GET \
--url https://api.sempera.org/v1/operational-reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/operational-reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/operational-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"reviews": [
{
"issue": "<string>",
"kind": "provider",
"resource": "<string>",
"evidence_date": "2023-12-25",
"state": "planned",
"owner": "<string>",
"next_action": "read-production",
"blocker": "none",
"source_sha": "<string>",
"deployment_sha": "<string>",
"ci_run": "<string>",
"evidence_ref": "<string>",
"acceptance_ref": "<string>",
"outcome": "pass",
"reviewed_at": "2023-11-07T05:31:56Z",
"due_date": "2023-12-25",
"overdue": true,
"attestation_only": true,
"receipt_id": "<string>"
}
],
"history": [
{
"issue": "<string>",
"kind": "provider",
"resource": "<string>",
"evidence_date": "2023-12-25",
"state": "planned",
"owner": "<string>",
"next_action": "read-production",
"blocker": "none",
"source_sha": "<string>",
"deployment_sha": "<string>",
"ci_run": "<string>",
"evidence_ref": "<string>",
"acceptance_ref": "<string>",
"outcome": "pass",
"reviewed_at": "2023-11-07T05:31:56Z",
"due_date": "2023-12-25",
"overdue": true,
"attestation_only": true,
"receipt_id": "<string>"
}
],
"has_more": true,
"authority": "<string>"
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}